Improve E-Mail notification templates
2008-10-12 17:34 - Jim Jones

Status: New Start date: 2008-10-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version:

Resolution:

Description

The current format for E-Mail notifications is very raw and hard to parse.

| like the format that MantisBT uses for its notifications, so | tried to adapt it for redmine.
Here is the result:

Subject: [CoreDev !#829]: Segmentation Fault on button click
The following issue has been has been UPDATED by John Wayne:

[CoreDev !#829]: Segmentation Fault on button click

http://redmine/issues/show/217

Created By
Assigned To:

Bob Hope
John Wayne

Project:
Issue ID:
Category:
Status:

Priority:

Target version:

Progress:

CoreDev
217

Bug
Assigned
Urgent
1.7

Date Submitted:

Last Modified:

2008-02-14 01:24 CET
2008-03-21 17:22 CET

Ticket Subject and Description:

Segmentation fault on button click

When I press any button in the UI the application crashes
with SIGSEGV. This happens in the Windows, Linux and Atari build.

Relationships ID Summary

related to 164
related to 199

User reports random crashes when he doe...
Boss says our application sucks, when t...

* Description UPDATED
* Priority Changed from Irrelevant to Normal

Yes, I could reproduce this in the atari build.

Barbie Ken - 2008-02-17 19:23
* Priority Changed from Normal to Urgent

This sucks, can we have a fix?
Urgent, all customers have terminated their contracts

* Assigned to John Wayne

You're all fired. Except John, you go fix it.
Then you'll be fired, too.

Working on it.

To someone who has never used MantisBT this may, at a glance, look like information overload.
Let me point out the advantages:

1. The format is well-structured. Everything is always in the same place. This is easier on the eyes than the "random" layout that
redmine uses currently.

2. Each E-Mail contains the complete change-history of the ticket. There is no need to open a webbrowser to inspect a changed
ticket. The E-Mail is nearly equivalent to the browser view.

| propose to make this (or something similar) the new default template format for redmine.
What do you guys think?

Related issues:
Related to Redmine - Feature #6221: Email texts template/configuration. New 2010-08-26

History

#1 - 2009-12-10 09:25 - Ali Nebi

Hi, i will be really happy if notification template is formated better. | vode for that.
Jim, can you post a patch for this or tell me what changes you have done to get this format of notification template?
Thanks in advanced!

#2 - 2010-09-16 12:23 - Terence Mill

A configurable template as admin setting ,where wildcards/ticket variables could be used to format the template would be a solution which solves the
problem and furture requetsts for this topic.

#3 - 2010-09-16 12:38 - Terence Mill

This is realated to Issue #6221

#4 - 2011-04-20 07:06 - Sebastian Thomae
+1

Can you please post a patch?

#5 - 2011-04-20 15:03 - Terence Mill

That is what we would need also, but can u provide a documentation and patch howto make this work?

#6 - 2012-10-28 19:00 - Daniel Felix
Well, i like the current format of those report mails. it is short and give the latest informations direct on top of the correspondig mail.
As another suggestion:

Maybe add the possibility to customize those email-reports on a easy way by adding some configuration file like the application.css.
This way, every person could define it own mailformating?

#7 - 2014-06-25 09:47 - Sergey Startsev
https://www.redmine.org/issues/6221

+1

#8 - 2015-01-27 20:00 - Pablo Giudice

+1 We are looking for something similar to this. We just want to be able to know who will be notified when an email is replied.

#9 - 2016-10-22 11:44 - [ Desperados ]

+1

#10 - 2019-06-27 13:26 - Taine Woo

I think it would be good if there is some options to enable/disable each parts of issues, including fields, descriptions and also full journal history, to be
or not to be shown in notification email.

for me, i would like to include two parts in the notification email:

1. the modified parts, it's implemented in current redmine 4.

2. the detail info of this issue, and also full notes history of it (all info displayed on the website). first half of this point is implemented in current redmine
4, but later half, the full notes history, is not displayed in the mail in current redmine 4.

So i this Jim's suggestion is good, but better if there is option for admin to choose. and also option for each field to be set, for display in notification
mail or not.

#11 - 2019-07-01 14:54 - Taine Woo

+1
